### Virtual Method

# Foundry VcsCommit load_delta

#### Declaration [src]

    DexFuture*
    load_delta (
      FoundryVcsCommit* self,
      const char* relative_path
    )

#### Description [src]

Loads the delta for a single file comparing this commit to its parent. This extracts the changes for `relative_path` from the commit’s parent commit.

#### Parameters

`relative_path`

  Type: `const char*`

  The relative path of the file to get the delta for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryVcsDelta` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.